Index: /controller/wpsg_OrderController.class.php
===================================================================
--- /controller/wpsg_OrderController.class.php	(revision 5717)
+++ /controller/wpsg_OrderController.class.php	(revision 5720)
@@ -51,12 +51,10 @@
 		public function setAdminCommentAction()
 		{
-			
+
 			$this->db->UpdateQuery(WPSG_TBL_ORDER, array(
-				'admincomment' => wpsg_q($_REQUEST['wpsg_order_admincomment'])
+				'admincomment' => wpsg_q($_REQUEST['value'])
 			), "`id` = '".wpsg_q($_REQUEST['edit_id'])."'");				
 				
-			$this->shop->addBackendMessage(__('Bemerkung wurde erfolgreich gespeichert!', 'wpsg'));
-			
-			$this->redirect(WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Order&action=view&edit_id='.$_REQUEST['edit_id']);
+			die($_REQUEST['value']);
 			
 		} // public function setAdminCommentAction()
@@ -204,10 +202,4 @@
 								
 			}
-			else if ($_REQUEST['wpsg_action'] == 'orderLog')
-			{
-				
-				die($this->orderLogAction($_REQUEST['edit_id']));
-				
-			}
 			
 		} // public function ajaxAction()
@@ -253,26 +245,5 @@
 			
 		} // public function stornoAction()
-		
-		/**
-		 * Zeichnet das Bestell Log
-		 */
-		public function orderLogAction($order_id)
-		{
-			
-			$this->shop->view['log'] = $this->db->fetchAssoc("
-				SELECT
-					OL.*
-				FROM
-					`".WPSG_TBL_OL."` AS OL
-				WHERE
-					OL.`o_id` = '".wpsg_q($order_id)."'
-				ORDER BY
-					OL.`cdate` ASC
-			");
-			
-			return $this->shop->render(WPSG_PATH_VIEW.'/order/orderlog.phtml', false);
-			
-		} // public function orderLogAction($order_id)
-		
+
 		/**
 		 * Zeigt eine Bestellung an
@@ -299,6 +270,5 @@
 			
 			$this->shop->view['oOrder'] = wpsg_order::getInstance($_REQUEST['edit_id']);			
-			$this->shop->view['orderLog'] = $this->orderLogAction($_REQUEST['edit_id']);
-						
+
 			$custom_data = @unserialize($this->shop->view['data']['custom_data']);
 			 
@@ -337,4 +307,40 @@
 					C.`id` = '".$this->shop->view['data']['shipping_land']."'
 			");
+
+			$this->shop->view['arSubAction'] = array(
+				'general' => array(
+					'title' => __('Allgemein', 'wpsg'),
+					'content' => $this->shop->render(WPSG_PATH_VIEW.'/order/view_general.phtml', false)
+				),
+				'orderdata' => array(
+					'title' => __('Bestelldaten', 'wpsg'),
+					'content' => $this->shop->render(WPSG_PATH_VIEW.'/order/view_orderdata.phtml', false)
+				),
+				'customerdata' => array(
+					'title' => __('Kundendaten', 'wpsg'),
+					'content' => $this->shop->render(WPSG_PATH_VIEW.'/order/view_customerdata.phtml', false)
+				),
+				'shippay' => array(
+					'title' => __('Versand- /Zahlungsart', 'wpsg'),
+					'content' => $this->shop->render(WPSG_PATH_VIEW.'/order/view_shippay.phtml', false)
+				)
+			);
+
+			$this->shop->callMods('order_view', array($_REQUEST['edit_id'], &$this->shop->view['arSubAction']));
+
+			$this->shop->view['arSubAction']['orderlog'] = array(
+				'title' => __('Bestellprotokoll', 'wpsg'),
+				'content' => $this->shop->render(WPSG_PATH_VIEW.'/order/view_orderlog.phtml', false)
+			);
+
+			if (wpsg_isSizedInt($this->get_option('wpsg_debugModus')))
+			{
+
+				$this->shop->view['arSubAction']['dev'] = array(
+					'title' => __('Entwickleroptionen', 'wpsg'),
+					'content' => $this->shop->render(WPSG_PATH_VIEW.'/order/view_dev.phtml', false)
+				);
+
+			}
 			
 			$this->shop->render(WPSG_PATH_VIEW.'/order/view.phtml');
Index: /lib/functions.inc.php
===================================================================
--- /lib/functions.inc.php	(revision 5717)
+++ /lib/functions.inc.php	(revision 5720)
@@ -737,5 +737,7 @@
 	function wpsg_formatTimestamp($ts, $dateOnly = false)
 	{
-		
+
+		if (!is_numeric($ts)) $ts = strtotime($ts);
+
 		if ($ts == 0) return '';
 		
Index: /lib/helper_functions.inc.php
===================================================================
--- /lib/helper_functions.inc.php	(revision 5717)
+++ /lib/helper_functions.inc.php	(revision 5720)
@@ -576,5 +576,5 @@
 	} // function wpsg_drawForm_TextEnd($field_label)
 	
-	function wpsg_drawForm_Text($field_label, $field_value, $conf = array())
+	function wpsg_drawForm_Text($field_label, $field_value, $field_id = false, $conf = array())
 	{
 		
@@ -584,4 +584,5 @@
 		$TC->view['field_value'] = $field_value;
 		$TC->view['field_config'] = $conf;
+		$TC->view['field_id'] = $field_id;
 		
 		return $TC->render(WPSG_PATH_VIEW.'admin/form/text.phtml', false);
Index: /model/wpsg_customer.class.php
===================================================================
--- /model/wpsg_customer.class.php	(revision 5717)
+++ /model/wpsg_customer.class.php	(revision 5720)
@@ -72,5 +72,8 @@
 			
 		} // public function getName()
-		
+
+		/** Gibt die Kundennummer zurÃŒck */
+		public function getNr() { return $this->knr; } // public function getNr()
+
 		/**
 		 * Versucht die Hausnummer von der StraÃe abzutrennen und nur die StraÃe zurÃŒckzugeben
Index: /model/wpsg_order.class.php
===================================================================
--- /model/wpsg_order.class.php	(revision 5717)
+++ /model/wpsg_order.class.php	(revision 5720)
@@ -49,5 +49,12 @@
 			
 		} // public function log($subject, $text)
-		
+
+		public function getLog()
+		{
+
+			return $this->db->fetchAssoc("SELECT * FROM `".WPSG_TBL_OL."` WHERE `o_id` = '".wpsg_q($this->id)."' ORDER BY `cdate` DESC ");
+
+		}
+
 		/**
 		 * Gibt den letzten Log Eintrag zurÃŒck 
Index: /mods/wpsg_mod_auftragsbestaetigung.class.php
===================================================================
--- /mods/wpsg_mod_auftragsbestaetigung.class.php	(revision 5717)
+++ /mods/wpsg_mod_auftragsbestaetigung.class.php	(revision 5720)
@@ -31,9 +31,12 @@
 		 * zeigt das Formular zum Senden in der Bestellverwaltung
 		 */
-		public function order_view_content($order_id)
+		public function order_view($order_id, &$arSidebarArray)
 		{
-			
-			$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_auftragsbestaetigung/order_view.phtml');
-			
+
+			$arSidebarArray[$this->id] = array(
+				'title' => $this->name,
+				'content' => $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_auftragsbestaetigung/order_view.phtml', false)
+			);
+
 		} // public function order_view_content($order_id)
 	 
Index: /mods/wpsg_mod_basic.class.php
===================================================================
--- /mods/wpsg_mod_basic.class.php	(revision 5717)
+++ /mods/wpsg_mod_basic.class.php	(revision 5720)
@@ -316,10 +316,5 @@
 		 */
 		public function order_ajax() { }
-		
-		/**
-		 * Wird in der Bestellansicht aufgerufen um im linken Bereich neue Elemente zu platzieren
-		 */
-		public function order_view_content($order_id) { }
-		
+				
 		/** Wird in das Formular fÃŒr die StatusÃ€nderung innerhalb der Bestellung integriert */
 		public function order_view_switchStatus(&$order_id) { }
@@ -332,10 +327,8 @@
 		 */
 		public function setOrderStatus($order_id, $status_id, $inform) { }
-		
-		/**
-		 * Wird in der Bestellverwaltung aufgerufen um im rechten Bereich neue Elemente zu platzieren
-		 */
-		public function order_view_sidebar(&$order_id) { }
-		
+
+		/** Wird in der Bestellansicht eingebunden  */
+		public function order_view($order_id, &$arSidebarArray) { }
+
 		/** Wird bei der Darstellung einer Produktzeile in der Bestellverwaltung aufgerufen */
 		public function order_view_row(&$p, $i) { }
Index: /mods/wpsg_mod_billsafe.class.php
===================================================================
--- /mods/wpsg_mod_billsafe.class.php	(revision 5717)
+++ /mods/wpsg_mod_billsafe.class.php	(revision 5720)
@@ -351,23 +351,28 @@
 			
 		} // public function order_ajax()
-		
-		public function order_view_sidebar(&$order_id) 
+
+		public function order_view($order_id, &$arSidebarArray)
 		{
 
 			$order_data = $this->shop->cache->loadOrder($order_id);
-			
+
 			if ($order_data['type_payment'] != $this->id) return;
-			
-			$this->shop->view['wpsg_mod_billsafe']['data'] = $order_data;		 
-	 
+
+			$this->shop->view['wpsg_mod_billsafe']['data'] = $order_data;
+
 			if (file_exists($this->getFilePath($order_id).'/billsafe_rechnung.pdf'))
-			{	
+			{
+
 				$this->shop->view['wpsg_mod_billsafe']['rechnung_url'] = WPSG_URL_WP.'wp-admin/admin.php?page=wpsg-Order&action=ajax&mod=wpsg_mod_billsafe&edit_id='.$order_id.'&noheader=1&do=getInvoice';
-			}
-			
-			$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_billsafe/order_view_sidebar.phtml');
-			
-		}
-		
+
+			}
+
+			$arSidebarArray[$this->id] = array(
+				'title' => $this->name,
+				'content' => $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_billsafe/order_view_sidebar.phtml', false)
+			);
+
+		} // public function order_view(&$arSidebarArray)
+
 		public function order_done(&$order_id, &$done_view) 
 		{ 
Index: /mods/wpsg_mod_cab.class.php
===================================================================
--- /mods/wpsg_mod_cab.class.php	(revision 5717)
+++ /mods/wpsg_mod_cab.class.php	(revision 5720)
@@ -207,5 +207,5 @@
 		} // public function addPayment(&$arPayment)
 
-		public function order_view_content($order_id)
+		public function order_view($order_id, &$arSidebarArray)
 		{
 			
@@ -216,6 +216,9 @@
 			$this->shop->view['wpsg_mod_cab']['order'] = $order_data;
 			$this->shop->view['wpsg_mod_cab']['content'] = $this->order_view_content_inner($order_id); 
-			
-			$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_cab/order_view_content.phtml');
+
+			$arSidebarArray[$this->id] = array(
+				'title' => $this->name,
+				'content' => $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_cab/order_view_content.phtml', false)
+			);
 			
 		} // public function order_view_content($order_id)
Index: /mods/wpsg_mod_deliverynote.class.php
===================================================================
--- /mods/wpsg_mod_deliverynote.class.php	(revision 5717)
+++ /mods/wpsg_mod_deliverynote.class.php	(revision 5720)
@@ -369,5 +369,5 @@
 		} // public function delOrder(&$order_id)
 		
-		public function order_view_content($order_id)
+		public function order_view($order_id, &$arSidebarArray)
 		{
 			
@@ -379,6 +379,9 @@
 			$this->shop->view['wpsg_mod_deliverynote']['arDeliverynotes'] = $this->loadDeliveryNotesFromOrder($order_id);
 			$this->shop->view['wpsg_mod_deliverynote']['arNoDeliveredProducts'] = $this->getNoDeliveredProducts($order_id);
-			 
-			$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_deliverynote/order_view_content.phtml');
+
+			$arSidebarArray[$this->id] = array(
+				'title' => $this->name,
+				'content' => $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_deliverynote/order_view_content.phtml', false)
+			);
 			
 		} // public function order_view_content($order_id)
@@ -671,5 +674,5 @@
 		{
 
-			$oOrder = &$this->shop->cache->loadOrderObject($order_id);
+			$oOrder = $this->shop->cache->loadOrderObject($order_id);
 			$order_products = $oOrder->getProductKeys();
 			 
Index: /mods/wpsg_mod_downloadplus.class.php
===================================================================
--- /mods/wpsg_mod_downloadplus.class.php	(revision 5717)
+++ /mods/wpsg_mod_downloadplus.class.php	(revision 5720)
@@ -59,5 +59,5 @@
 				
 				$path = WP_CONTENT_DIR.'/'.WPSG_MB_UPLOADS.'/wpsg/wpsg_dlplus/'; 
-				$new_path = WP_CONTENT_DIR.'/'.WPSG_MB_UPLOADS.'/wpsg/wpsg_pdfprodukte/'.$produkt_id.'/';
+				$new_path = WP_CONTENT_DIR.'/'.WPSG_MB_UPLOADS.'/wpsg/wpsg_pdfprodukte/';
 				
 			}
@@ -66,5 +66,5 @@
 					 
 				$path = WP_CONTENT_DIR.'/uploads/wpsg_dlplus/';
-				$new_path = WP_CONTENT_DIR.'/uploads/wpsg_pdfprodukte/'.$produkt_id.'/';					
+				$new_path = WP_CONTENT_DIR.'/uploads/wpsg_pdfprodukte/';
 				
 			}
@@ -230,5 +230,5 @@
 				
 				header('Content-Type: application/pdf');
-				header('Content-Disposition: inline; filename="'.rawurldecode($indiv_db['out_file']).'"');
+				header('Content-Disposition: inline; filename="'.rawurldecode(basename($_REQUEST['file'])).'"');
 				header('Cache-Control: private, max-age=0, must-revalidate');
 				header('Pragma: public'); 
@@ -451,5 +451,5 @@
 				
 				header('Content-Type: application/pdf');
-				header('Content-Disposition: inline; filename="'.rawurldecode($indiv_db['out_file']).'"');
+				header('Content-Disposition: inline; filename="'.rawurldecode(basename($_REQUEST['file'])).'"');
 				header('Cache-Control: private, max-age=0, must-revalidate');
 				header('Pragma: public'); 
@@ -460,50 +460,53 @@
 			
 		} // public function order_ajax()
-		
-		public function order_view_sidebar(&$order_id)
-		{
-			
+
+		public function order_view($order_id, &$arSidebarArray)
+		{
+
 			$bPDFProdukt = false;
 			$arFiles = array();
-			
+
 			// Die arFiles brauch ich um zu bestimmen ob Produkte gekauft wurden, die Downloads enthalten
 			foreach ($this->shop->view['basket']['produkte'] as $k => $v)
 			{
-				
+
 				$this->shop->view['arProducts'][$k] = $v;
-				
+
 				if ($this->isPDFProdukt($v['id']))
 				{
-					
+
 					$bPDFProdukt = true;
-					
+
 					$product_id = $this->shop->getProduktID($v['id']);
-					
+
 					// Hier darf das wpsg_array_merge nicht verwendet werden, da der Index nicht ÃŒberschrieben werden darf
 					//$arFiles = array_merge($arFiles, $this->getFiles($v['id']));
 					$arFiles_product = $this->getfiles($v['id']);
-					
+
 					foreach ($arFiles_product as $file_product)
 					{
-						
+
 						$arFiles[] = array($product_id, $file_product);
-						
+
 					}
-					
-				}
-				
-			}
-			
+
+				}
+
+			}
+
 			if ($bPDFProdukt && sizeof($arFiles) > 0)
 			{
-				 											
+
 				$this->shop->view['order_id'] = $order_id;
-				
-				$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_downloadplus/order_view_sidebar.phtml');				
-				
-			}
-			
-		} // public function order_view_sidebar($order_id) 
-		
+
+				$arSidebarArray[$this->id] = array(
+					'title' => $this->name,
+					'content' => $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_downloadplus/order_view_sidebar.phtml', false)
+				);
+
+			}
+
+		} // public function order_view($order_id, &$arSidebarArray)
+
 		public function order_view_sidebar_renderList($order_id) {
 			
@@ -914,5 +917,7 @@
 									if (file_exists($font_file))
 									{
-										 
+
+										global $name;
+
 										include $font_file;
 										 
Index: /mods/wpsg_mod_kundenkontakt.class.php
===================================================================
--- /mods/wpsg_mod_kundenkontakt.class.php	(revision 5717)
+++ /mods/wpsg_mod_kundenkontakt.class.php	(revision 5720)
@@ -25,5 +25,5 @@
 		 * zeigt das Formular zum Senden in der Bestellverwaltung
 		 */
-		public function order_view_content($order_id)
+		public function order_view($order_id, &$arSidebarArray)
 		{
 			
@@ -48,6 +48,9 @@
 				
 			}
-			
-			$this->shop->render(WPSG_PATH_VIEW.'mods/mod_kundenkontakt/order_view.phtml');
+
+			$arSidebarArray[$this->id] = array(
+				'title' => $this->name,
+				'content' => $this->shop->render(WPSG_PATH_VIEW.'mods/mod_kundenkontakt/order_view.phtml', false)
+			);
 			
 		} // public function order_view_content($order_id)
Index: /mods/wpsg_mod_ordervars.class.php
===================================================================
--- /mods/wpsg_mod_ordervars.class.php	(revision 5717)
+++ /mods/wpsg_mod_ordervars.class.php	(revision 5720)
@@ -254,30 +254,33 @@
 			
 		}
-		
-		public function order_view_sidebar(&$order_id) 
+
+		public function order_view($order_id, &$arSidebarArray)
 		{
 
 			$arOV_db = $this->db->fetchAssoc("SELECT * FROM `".WPSG_TBL_ORDERVARS."` WHERE `deleted` != '1' ORDER BY `pos` ASC, `id` ASC ");
 			$arOV = array();
-			
+
 			foreach ($arOV_db as $k => $ov)
 			{
-				
+
 				$arOV[$ov['id']] = wpsg_array_merge(array(
-					'value' => $this->getValueByIdAndOrder($ov['id'], $order_id)						
+					'value' => $this->getValueByIdAndOrder($ov['id'], $order_id)
 				), $ov);
-				
+
 				$arOV[$ov['id']]['auswahl'] = explode('|', $ov['auswahl']);
-				
-			}
-			
+
+			}
+
 			if (!wpsg_isSizedArray($arOV)) return;
 
 			$this->shop->view['wpsg_mod_ordervars']['data'] = $arOV;
-	 
-			$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_ordervars/order_view_sidebar.phtml');
-			
+
+			$arSidebarArray[$this->id] = array(
+				'title' => $this->name,
+				'content' => $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_ordervars/order_view_sidebar.phtml', false)
+			);
+
 		}
-		
+
 		public function clearSession() 
 		{ 
Index: /mods/wpsg_mod_rechnungen.class.php
===================================================================
--- /mods/wpsg_mod_rechnungen.class.php	(revision 5717)
+++ /mods/wpsg_mod_rechnungen.class.php	(revision 5720)
@@ -299,5 +299,5 @@
 		} // public function settings_edit()
 		
-		public function order_view_content($order_id) 
+		public function order_view($order_id, &$arSidebarArray)
 		{
 			
@@ -322,6 +322,9 @@
 					`id` ASC
 			");
-			
-			$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_rechnungen/order_view.phtml');
+
+			$arSidebarArray[$this->id] = array(
+				'title' => $this->name,
+				'content' => $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_rechnungen/order_view.phtml', false)
+			);
 			
 		} // public function order_view_content($order_id) { }
Index: /mods/wpsg_mod_trustedshops.class.php
===================================================================
--- /mods/wpsg_mod_trustedshops.class.php	(revision 5717)
+++ /mods/wpsg_mod_trustedshops.class.php	(revision 5720)
@@ -285,8 +285,11 @@
 		} // public function basket_save_order(&$data, &$checkout, &$arBasket, $finish_order)
 		
-		public function order_view_sidebar(&$order_id) 
+		public function order_view($order_id, &$arSidebarArray)
 		{ 
-			
-			$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_trustedshops/order_view_sidebar.phtml');
+
+			$arSidebarArray[$this->id] = array(
+				'title' => $this->name,
+				'content' => $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_trustedshops/order_view_sidebar.phtml', false)
+			);
 			
 		} // public function order_view_sidebar(&$order_id)
Index: /mods/wpsg_mod_videodownload.class.php
===================================================================
--- /mods/wpsg_mod_videodownload.class.php	(revision 5717)
+++ /mods/wpsg_mod_videodownload.class.php	(revision 5720)
@@ -114,5 +114,5 @@
 		} // public function settings_save()
 		
-		public function order_view_sidebar(&$order_id)
+		public function order_view($order_id, &$arSidebarArray)
 		{
 			
@@ -177,6 +177,9 @@
 				$this->shop->view['arFiles'] = $arFiles;				
 				$this->shop->view['order_id'] = $order_id;
-				
-				$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_videodownload/order_view_sidebar.phtml');				
+
+				$arSidebarArray[$this->id] = array(
+					'title' => $this->name,
+					'content' => $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_videodownload/order_view_sidebar.phtml', false)
+				);
 				
 			}
Index: /mods/wpsg_mod_voucherproduct.class.php
===================================================================
--- /mods/wpsg_mod_voucherproduct.class.php	(revision 5717)
+++ /mods/wpsg_mod_voucherproduct.class.php	(revision 5720)
@@ -454,5 +454,5 @@
 		}
 		
-		public function order_view_sidebar(&$order_id)
+		public function order_view($order_id, &$arSidebarArray)
 		{
 			
@@ -461,6 +461,9 @@
 			
 				$this->shop->view['wpsg_mod_voucherproduct']['order_id'] = $order_id;
-							
-				$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_voucherproduct/order_view_sidebar.phtml');
+
+				$arSidebarArray[$this->id] = array(
+					'title' => $this->name,
+					'content' => $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_voucherproduct/order_view_sidebar.phtml', false)
+				);
 				
 			}
Index: /system/intern/mods/wpsg_mod_orderupload.class.php
===================================================================
--- /system/intern/mods/wpsg_mod_orderupload.class.php	(revision 5717)
+++ /system/intern/mods/wpsg_mod_orderupload.class.php	(revision 5720)
@@ -199,6 +199,6 @@
 			
 		} // public function basket_save_done($o_id, $k_id)
-		
-		public function order_view_sidebar(&$order_id) 
+
+		public function order_view($order_id, &$arSidebarArray)
 		{ 
 	 
@@ -209,6 +209,10 @@
 			if (sizeof($arFiles) <= 0) return;
 			
-			$this->shop->view['arFiles'] = $arFiles;			
-			$this->shop->render(WPSG_PATH_VIEW.'/mods/mod_orderupload/order_view_sidebar.phtml');
+			$this->shop->view['arFiles'] = $arFiles;
+
+			$arSidebarArray[$this->id] = array(
+				'title' => $this->name,
+				'content' => $this->shop->render(WPSG_PATH_VIEW.'/mods/mod_orderupload/order_view_sidebar.phtml', false)
+			);
 			
 		} // public function order_view_sidebar(&$order_id)
Index: /views/admin/form/text.phtml
===================================================================
--- /views/admin/form/text.phtml	(revision 5717)
+++ /views/admin/form/text.phtml	(revision 5720)
@@ -7,7 +7,7 @@
 
             <?php if (wpsg_isTrue($this->view['field_config']['noP'])) { ?>
-            <?php echo $this->view['field_value']; ?>
+            <span <?php echo ((wpsg_isSizedString($this->view['field_id']))?' id="'.$this->view['field_id'].'" ':''); ?>><?php echo $this->view['field_value']; ?></span>
             <?php } else { ?>
-			<p class="form-control-static" style="padding-left:0px;"><?php echo $this->view['field_value']; ?></p>
+			<p <?php echo ((wpsg_isSizedString($this->view['field_id']))?' id="'.$this->view['field_id'].'" ':''); ?> class="form-control-static" style="padding-left:0px;"><?php echo $this->view['field_value']; ?></p>
             <?php } ?>
 				
@@ -17,4 +17,21 @@
 		</div>
 	</div>
+
+    <?php if (isset($this->view['field_config']['inlineEdit']) && $this->view['field_config']['inlineEdit']) { ?>
+    <script type="text/javascript">/* <![CDATA[ */
+
+        jQuery(document).ready(function() {
+
+            jQuery('#<?php echo $this->view['field_id']; ?>').wspg_editable('<?php echo $this->view['field_config']['inlineEdit_url']; ?>', {
+                <?php if (wpsg_isSizedString($this->view['field_config']['inlineEdit_type'])) { ?>
+                'type': '<?php echo $this->view['field_config']['inlineEdit_type']; ?>',
+                'placement': 'bottom'
+                <?php } ?>
+            } );
+
+        } );
+
+    /* ]]> */</script>
+    <?php } ?>
 	
 </div>
Index: /views/admin/form/textarea.phtml
===================================================================
--- /views/admin/form/textarea.phtml	(revision 5717)
+++ /views/admin/form/textarea.phtml	(revision 5720)
@@ -1,7 +1,13 @@
 <div class="form-group form-group-sm form-textarea <?php echo ((wpsg_isSizedString($this->view['field_config']['help']))?'has-feedback':''); ?>">
 
+    <?php if (!isset($this->view['field_config']['noLabel']) || $this->view['field_config']['noLabel'] != true) { ?>
 	<label class="col-sm-6 control-label" for="<?php echo $this->view['field_id']; ?>"><?php echo $this->view['field_label']; ?></label>
-	
-	<div class="col-sm-6">
+	<?php } ?>
+
+    <?php if (isset($this->view['field_config']['noLabel']) && $this->view['field_config']['noLabel'] == true) { ?>
+	<div class="col-sm-12">
+    <?php } else { ?>
+    <div class="col-sm-6">
+    <?php } ?>
 	
 		<div class="wpsg_field_wrap">
Index: /views/js/editable.js
===================================================================
--- /views/js/editable.js	(revision 5717)
+++ /views/js/editable.js	(revision 5720)
@@ -26,9 +26,44 @@
             if (typeof options.type == "string") opt['type'] = options.type;
 
-			if (options.type == 'string' && typeof options.data == "string") {
-				
+            if (options.type == "select" && typeof options.data == "string")
+            {
+
+                // Normale Ãbergabe eines JSON Strings
+                opt.source = jQuery.parseJSON(options.data);
+                opt.type = 'select';
+
+            }
+            else if (options.type == 'multiarray')
+            {
+
+                var ar = [];
+                var arData = jQuery.parseJSON(options.data);
+ 
+                for (var i in arData)
+                {
+
+                    objData = { 'text': arData[i].name, 'children': [] };
+
+                    for (var j in arData[i]['fields'])
+                    {
+
+                        objData['children'].push( { 'value': j, 'text': arData[i]['fields'][j] } );
+
+                    }
+
+                    ar.push(objData);
+
+                }
+
+                opt.source = ar;
+                opt.type = 'select';
+
+            }
+			else if (options.type == 'string' && typeof options.data == "string")
+            {
+
 				var ar = [];
 				var arData = jQuery.parseJSON(options.data);
-								
+
 				for (var i in arData)
 				{
@@ -49,5 +84,5 @@
 			else
 			{
-			
+
 				opt.display = function(value, sourceData) {
 		        
Index: /views/mods/mod_export/profil.phtml
===================================================================
--- /views/mods/mod_export/profil.phtml	(revision 5717)
+++ /views/mods/mod_export/profil.phtml	(revision 5720)
@@ -259,5 +259,5 @@
                     submit: '<?php echo __('Speichern', 'wpsg'); ?>',
                     data: '<?php echo json_encode($this->view['fields']); ?>',
-                    type: 'select',
+                    type: 'multiarray',
                     placeholder: '<?php echo __('Zum Bearbeiten anklicken ...', 'wpsg'); ?>',
                     indicator: '<?php echo __('Speicher ...', 'wpsg'); ?>',
